<?php
/**
 * Epic Review Customizer
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package epic-review
 */

namespace Epic\Review\Customizer;

/**
 * Class Customizer
 *
 * @package Epic\Review\Customizer
 */
class Customizer {
	/**
	 * Customizer instance variable
	 *
	 * @var Customizer
	 */
	private static $instance;

	/**
	 * Other variables
	 *
	 * @var $customizer
	 */
	private $customizer;

	/**
	 * Customizer Constructor
	 */
	private function __construct() {
		add_action( 'jeg_register_customizer_option', array( $this, 'customizer_option' ) );
		add_filter( 'jeg_register_lazy_section', array( $this, 'autoload_section' ) );
	}

	/**
	 * Customizer instance function
	 *
	 * @return Customizer
	 */
	public static function instance() {
		if ( null === static::$instance ) {
			static::$instance = new static();
		}

		return static::$instance;
	}

	/**
	 * Set Customizer Init
	 */
	public function customizer_option() {
		if ( class_exists( 'Jeg\Customizer\Customizer' ) ) {
			$this->customizer = \Jeg\Customizer\Customizer::get_instance();

			$this->set_panel();
			$this->set_section();
		}
	}

	/**
	 * Set Customizer Panel
	 */
	public function set_panel() {
		$this->customizer->add_panel(
			array(
				'id'          => 'epic_review_panel',
				'title'       => esc_html__( 'Epic Review Option', 'epic-review' ),
				'description' => esc_html__( 'Review Options', 'epic-review' ),
				'priority'    => 200,
			)
		);
	}

	/**
	 * Set Customizer Section
	 */
	public function set_section() {
		$this->customizer->add_section(
			array(
				'id'       => 'epic_review_section',
				'title'    => esc_html__( 'Price Options', 'epic-review' ),
				'panel'    => 'epic_review_panel',
				'priority' => 177,
				'type'     => 'jeg-lazy-section',
			)
		);
	}

	/**
	 * Load Customizer Option template
	 *
	 * @param array $result : Array contain registered lazy sections in customizer.
	 *
	 * @return array
	 */
	public function autoload_section( $result ) {
		$result['epic_review_section'][] = EPIC_REVIEW_DIR . 'class/customizer/option/customizer-option.php';

		return $result;
	}
}
