<?php
/**
 * Epic Review Customizer Options
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package epic-review
 */

$options = array();

$options[] = array(
	'id'          => 'epic_option[price_front]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '$',
	'type'        => 'jeg-text',
	'section'     => 'epic_review_section',
	'label'       => esc_html__( 'Text in front of price text', 'epic-review' ),
	'description' => esc_html__( 'You can use this as your currency text.', 'epic-review' ),
	'postvar'     => array(
		array(
			'redirect' => 'single_review_tag',
			'refresh'  => true,
		),
	),
);

$options[] = array(
	'id'          => 'epic_option[price_behind]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '',
	'type'        => 'jeg-text',
	'section'     => 'epic_review_section',
	'label'       => esc_html__( 'Text behind of price text', 'epic-review' ),
	'description' => esc_html__( 'You can use this as your currency text.', 'epic-review' ),
	'postvar'     => array(
		array(
			'redirect' => 'single_review_tag',
			'refresh'  => true,
		),
	),
);

$options[] = array(
	'id'          => 'epic_option[price_float_position]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'right',
	'type'        => 'jeg-select',
	'section'     => 'epic_review_section',
	'label'       => esc_html__( 'Price float', 'epic-review' ),
	'description' => esc_html__( 'Show price float box on post content.', 'epic-review' ),
	'multiple'    => 1,
	'choices'     => array(
		'none'  => esc_attr__( 'Hide', 'epic-review' ),
		'right' => esc_attr__( 'Show', 'epic-review' ),
	),
	'postvar'     => array(
		array(
			'redirect' => 'single_review_tag',
			'refresh'  => true,
		),
	),
);

return $options;
