<?php
/**
 * Epic Review Frontend
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package epic-review
 */

namespace Epic\Review\Data;

/**
 * Class ProsConsData
 *
 * @package Epic\Review\Data
 */
class ProsConsData {
	/**
	 * Post ID
	 *
	 * @var int
	 */
	private static $id;

	/**
	 * ProsConsData constructor.
	 *
	 * @param int $post_id .
	 */
	public function __construct( $post_id ) {
		self::$id = $post_id;
	}

	/**
	 * Review Pros
	 *
	 * @return string
	 */
	public function product_pros() {
		$pros   = jeg_metabox( 'epic_review_metabox.good', null, self::$id );
		$output = '';

		if ( $pros ) {
			foreach ( $pros as $pro ) {
				if ( ! empty( $pro['value'] ) ) {
					$output .= '<li><i class="jegicon-check"></i>' . $pro['value'] . '</li>';
				}
			}
		}

		if ( ! empty( $output ) ) {
			$output =
				'<div class="conspros">
                    <h3>' . esc_html__( 'PROS', 'epic-review' ) . '</h3>
                    <ul>' . $output . '</ul>
                </div>';
		}

		return $output;
	}

	/**
	 * Review Cons
	 *
	 * @return string
	 */
	public function product_cons() {
		$cons   = jeg_metabox( 'epic_review_metabox.bad', null, self::$id );
		$output = '';

		if ( $cons ) {
			foreach ( $cons as $con ) {
				if ( ! empty( $con['value'] ) ) {
					$output .= '<li><i class="jegicon-cross"></i>' . $con['value'] . '</li>';
				}
			}
		}

		if ( ! empty( $output ) ) {
			$output =
				'<div class="conspros">
                    <h3>' . esc_html__( 'CONS', 'epic-review' ) . '</h3>
                    <ul>' . $output . '</ul>
                </div>';
		}

		return $output;
	}
}
